| Home | Libraries | People | FAQ | More

## Class remove_on_destroy

boost::intrusive::treap_algorithms::remove_on_destroy — @ private:

## Synopsis

    // In header: <boost/intrusive/treap_algorithms.hpp>

    // @ private:

    class remove_on_destroy {
    public:
      // construct/copy/destruct
      remove_on_destroy(const remove_on_destroy &);
      remove_on_destroy(node_ptr, node_ptr);
      remove_on_destroy& operator=(const remove_on_destroy &);
      ~remove_on_destroy();

      // public member functions
      void release();
      const node_ptr header_;
      const node_ptr z_;
      bool remove_it_;
    };

## Description

### `remove_on_destroy` public construct/copy/destruct

1.     remove_on_destroy(const remove_on_destroy &);

2.     remove_on_destroy(node_ptr header, node_ptr z);

3.     remove_on_destroy& operator=(const remove_on_destroy &);

4.     ~remove_on_destroy();

### `remove_on_destroy` public member functions

1.     void release();